/*
 * $Id: 44780var.h,v 1.1 2008/01/07 20:24:48 nbrk Exp $
 */
#ifndef H44780VAR_H
#define H44780VAR_H
#include <sys/types.h>
//#include <dev/lcd/lcdvar.h>

struct h44780_busops {
	void 	(*write)(void *pldd, uint16_t data);
	uint8_t	(*read)(void *pldd);
	uint8_t	(*readbf)(void *pldd);
	void	(*strobe)(void *pldd);
	void 	*selfdd;
};


struct h44780_dd {
	struct h44780_busops	*h_bop;
//	struct lcd_ops			h_lcdops;

};

#define H44780_DELAY	do {volatile int __h44780_delay; for(__h44780_delay = 0; __h44780_delay < 1000; __h44780_delay++) ;} while(0)

#endif

